<template>
  <div class="container-fluid h-100 m-3" @click.self="closeModal">
    <div class="row h-100" @click.self="closeModal">
      <div class="col" @click.self="closeModal">
        <div class="col h-100" @click.self="closeModal" v-if="athlete.va">
          <img
            v-if="athlete.va.id"
            :src="
              'https://api.courses-extender.24heures.org/api/v1/vas/' +
              athlete.va.id +
              '/picture'
            "
            class="h-100"
            alt=""
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import axios from "axios";

export default defineComponent({
  props: {
    athleteId: Number,
  },
  data() {
    return {
      firstName: null as unknown,
      lastName: null as unknown,
      vaNumber: null as unknown,
      athlete: {
        id: null,
        first_name: null,
        last_name: null,
        birthdate: null,
        email: null,
        phone: null,
        team: {
          name: null,
          category: {
            label: null,
          },
        },
        va: {
          id: null,
          status: null,
        },
      },
    };
  },
  methods: {
    closeModal() {
      this.$emit("CloseModal");
    },
    reloadInfo() {
      axios
        .get("athletes/" + this.athleteId)
        .then((response) => (this.athlete = response.data));
    },
  },
  watch: {
    athleteId() {
      this.reloadInfo();
    },
  },
});
</script>

<style scoped>
img {
  max-width: 100%;
  max-height: 100%;
}
</style>
